View Issue Details

IDProjectCategoryView StatusLast Update
0011184LazarusLCLpublic2009-06-13 12:09
ReporterIngo Steiniger Assigned ToPaul Ishenin  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN) 
Target Version0.9.28Fixed in Version0.9.27 (SVN) 
Summary0011184: BitButton/MessageDlgButton caption invisible on Vista without Vistatheme
DescriptionI've changed the theme of Vista to "windows classic" and now the caption of all MessageDlgButtons and BitButtons is invisible.

Disabling the manifest-feature or switching the theme of Vista to the default, makes the caption visible.

The problem occures in the IDE and in compiled applications.
Additional InformationLazarus 0.9.25 svn 14797
FPC 2.2.0
Windows Vista SP1 German
TagsNo tags attached.
Fixed in Revision18471
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0012270 closedPaul Ishenin TBitBtn incorrect on vista using "Windows Classic" 
has duplicate 0012558 closedPaul Ishenin Text on buttons not visible in Vista 

Activities

Paul Ishenin

2008-04-22 10:43

manager   ~0019014

Can you attach a screenshot?

2008-04-22 11:22

 

msgdlgbtn.jpg (13,052 bytes)   
msgdlgbtn.jpg (13,052 bytes)   

Ingo Steiniger

2008-04-22 11:24

reporter   ~0019018

Last edited: 2008-04-22 12:57

Sorry, forgotten.

It's maybe helpfully to know that SP makes no differens. I've just installed Vista 'nacked' (without SP and any Updates).

To reproduce: just change the design of Vista - open Lazarus - add a BitBtn to form - change "kind" from bkCustom to something else.

Paul Ishenin

2008-04-23 13:17

manager   ~0019038

what do you mean by "change the design of Vista"

2008-04-23 20:56

 

change-vista-design.jpg (139,117 bytes)   
change-vista-design.jpg (139,117 bytes)   

2008-04-23 21:02

 

comparison.jpg (49,522 bytes)   
comparison.jpg (49,522 bytes)   

Ingo Steiniger

2008-04-23 21:03

reporter   ~0019042

Don't know how to explain...added 2 pictures for better understanding.

Flávio Etrusco

2008-05-31 04:50

developer   ~0019838

He most certainly means the Theme.
FWIW I confirm the problem. My installation is Vista Home Basic, Brazilian Portuguese version.
I'll try to make some time to search for similar problems on Vista (with other libraries)...

Paul Ishenin

2009-01-28 09:24

manager   ~0024813

Please test and close if ok

Issue History

Date Modified Username Field Change
2008-04-22 10:24 Ingo Steiniger New Issue
2008-04-22 10:24 Ingo Steiniger Widgetset => Win32
2008-04-22 10:43 Paul Ishenin LazTarget => 1.0
2008-04-22 10:43 Paul Ishenin Note Added: 0019014
2008-04-22 10:43 Paul Ishenin Status new => feedback
2008-04-22 11:22 Ingo Steiniger File Added: msgdlgbtn.jpg
2008-04-22 11:24 Ingo Steiniger Note Added: 0019018
2008-04-22 12:57 Ingo Steiniger Note Edited: 0019018
2008-04-23 13:17 Paul Ishenin Note Added: 0019038
2008-04-23 20:56 Ingo Steiniger File Added: change-vista-design.jpg
2008-04-23 21:02 Ingo Steiniger File Added: comparison.jpg
2008-04-23 21:03 Ingo Steiniger Note Added: 0019042
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2008-05-23 12:03 Vincent Snijders Status feedback => acknowledged
2008-05-31 00:49 Jesus Reyes Status acknowledged => confirmed
2008-05-31 04:50 Flávio Etrusco Note Added: 0019838
2009-01-28 09:24 Paul Ishenin Relationship added has duplicate 0012270
2009-01-28 09:24 Paul Ishenin Relationship added has duplicate 0012558
2009-01-28 09:24 Paul Ishenin Fixed in Revision => 18471
2009-01-28 09:24 Paul Ishenin Status confirmed => resolved
2009-01-28 09:24 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-01-28 09:24 Paul Ishenin Resolution open => fixed
2009-01-28 09:24 Paul Ishenin Assigned To => Paul Ishenin
2009-01-28 09:24 Paul Ishenin Note Added: 0024813
2009-01-28 09:25 Paul Ishenin Target Version 1.0.0 => 0.9.28
2009-06-13 12:09 Marc Weustink Status resolved => closed